/*************************************************************************
    Copyright (C) 2002,2003,2004,2005 Wei Qin
    See file COPYING for more information.

    This program is free software; you can redistribute it and/or modify    
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*************************************************************************/

#ifndef __MULT_H__
#define __MULT_H__

#ifdef _MODULARIZE_
typedef emulator::arm_emulator armulator;
#endif

void impl_mla(IMPL_FORMALS);		/*0x02*/
void impl_mla_s(IMPL_FORMALS);	/*0x03*/

void impl_mul(IMPL_FORMALS);		/*0x00*/
void impl_mul_s(IMPL_FORMALS);	/*0x01*/

void impl_smull(IMPL_FORMALS);	/*0x0C*/
void impl_smull_s(IMPL_FORMALS);	/*0x0D*/

void impl_smlal(IMPL_FORMALS);	/*0x0E*/
void impl_smlal_s(IMPL_FORMALS);	/*0x0F*/

void impl_umull(IMPL_FORMALS);	/*0x08*/
void impl_umull_s(IMPL_FORMALS);	/*0x09*/

void impl_umlal(IMPL_FORMALS);	/*0x0A*/
void impl_umlal_s(IMPL_FORMALS);	/*0x0B*/

char *disasm_mla(arm_inst_t, arm_addr_t, char *);		/*0x02*/
char *disasm_mul(arm_inst_t, arm_addr_t, char *);		/*0x00*/
char *disasm_smull(arm_inst_t, arm_addr_t, char *);	/*0x0C*/
char *disasm_smlal(arm_inst_t, arm_addr_t, char *);	/*0x0E*/
char *disasm_umull(arm_inst_t, arm_addr_t, char *);	/*0x08*/
char *disasm_umlal(arm_inst_t, arm_addr_t, char *);	/*0x0A*/

#define disasm_mla_s   disasm_mla
#define disasm_mul_s   disasm_mul
#define disasm_smull_s disasm_smull
#define disasm_smlal_s disasm_smlal
#define disasm_umull_s disasm_umull
#define disasm_umlal_s disasm_umlal

#define incr_mla   INST_MLA
#define incr_mul   INST_MUL
#define incr_smull INST_SMULL
#define incr_smlal INST_SMLAL
#define incr_umull INST_UMULL
#define incr_umlal INST_UMLAL
#define incr_mla_s   INST_MLA
#define incr_mul_s   INST_MUL
#define incr_smull_s INST_SMULL
#define incr_smlal_s INST_SMLAL
#define incr_umull_s INST_UMULL
#define incr_umlal_s INST_UMLAL

#endif
